import coneneko.all, sdl;
void main()
{
	auto wnd = new Window();
	auto tree = new SceneGraph();
	tree.root = tree.linkParallel(
		(new RenderState()).blend(true), new Clear(), new TextBoard("hello world", 0.0, 0.0)
	);
	do { wnd.update(tree); } while (!wnd.closed && !wnd.key.pressing(SDLK_ESCAPE));
}
